Bug 44854 - Glibc compile segmentation fault
Glibc compile segmentation fault
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-18 10:17 EDT by Attila Mravik
Modified: 2016-11-24 10:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-26 09:14:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Mravik 2001-06-18 10:17:08 EDT
Description of Problem:

  glibc-2.2.3-10.src.rpm rebuild causes segmentation fault.


How Reproducible:

  Regenerates this error always.

Steps to Reproduce:
1. rpm -i glibc-2.2.3-10.src.rpm
2. rpm -bb --target=i686 /usr/src/redhat/SPECS/glibc.spec
3.

Actual Results:

--------
make[2]: Entering directory `/usr/src/redhat/BUILD/glibc-2.2.3/locale'
loadlocale.c: In function `_nl_load_locale':
loadlocale.c:231: Internal error: Segmentation fault.
Please submit a full bug report.
--------


Expected Results:


Additional Information:
Comment 1 Jakub Jelinek 2001-06-25 03:39:30 EDT
Which gcc are you using? It works just fine for me...
Comment 2 Attila Mravik 2001-06-26 09:13:56 EDT
Sorry. One of my collgees edited the spec file and changed -march=i686 in the
RPM_OPT_FLAGS to -march=athlon. This is an athlon based system. 

with -march=i686 it compiles fine but it makes only one rpm.
How can I update my RedHat 7.1 glibc 2.2.2 to 2.2.3?

(glibc. glibc-devel and glibc-common packages)
Comment 3 Jakub Jelinek 2001-07-25 08:42:54 EDT
I've changed -march=%{_target_cpu} to -march=athlon and it compiled just fine
too (in glibc-2.2.3-10 so that we work on the same sources).
BTW: If you want glibc-devel, glibc-common etc., you should do
rpm -bb --target=i386 glibc.spec
too, those subpackages are just for the base architectures (and there is
not much gain if you build i686 optimized locale description data files etc.).

Note You need to log in before you can comment on or make changes to this bug.